Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | Movie

Name

### jump()

Examples

    import processing.video.*;
    Movie myMovie;

    void setup() {
      size(200, 200);
      frameRate(30);
      myMovie = new Movie(this, "totoro.mov");
      myMovie.loop();
    }

    void draw() {
      if(myMovie.available()) {
        myMovie.read();
      }
      image(myMovie, 0, 0);
    }

    void mousePressed() {
      myMovie.jump(random(myMovie.duration()));
    }

Description | Jumps to a specific location within a movie. The parameter where is in terms of seconds. For example, if the movie is 12.2 seconds long, calling jump(6.1) would go to the middle of the movie.

Syntax

    mov.jump(where)

Parameters

mov | any variable of type Movie
where | float: position to jump to specified in seconds

Usage | Web & Application

Updated on November 22, 2008 08:39:22pm PST